Bug 437708 - Firstboot fails with smolt-firstboot installed
Firstboot fails with smolt-firstboot installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 16:29 EDT by Russell Harrison
Modified: 2008-03-26 13:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.1.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2008-03-16 16:29:54 EDT
Description of problem:
The smolt-firstboot module prevents firstboot from running.

Version-Release number of selected component (if applicable):
# rpm -qa | grep firstboot
smolt-firstboot-1.1.1.1-1.fc8
firstboot-1.4.39-1.fc8
firstboot-tui-1.4.39-1.fc8

How reproducible:
Install Fedora 8 with the updates repository enabled.

Steps to Reproduce:
1. Start a clean install of Fedora 8
2. Enter in the information to include the updates repository for package selection
3. Continue with the install as normal
  
Actual results:
Firstboot will fail and output the following to standard error:

  File "/usr/sbin/firstboot", line 107, in <module>
    firstbootWindow(fb)
  File "/usr/share/firstboot/firstbootWindow.py", line 150, in __init__
    self.loadModules()
  File "/usr/share/firstboot/firstbootWindow.py", line 426, in loadModules
    loaded = imputil.imp.load_module(module, found[0], found[1], found[2])
  File "/usr/share/firstboot/modules/smolt.py", line 10, in <module>
    from firstboot.config import *

Expected results:
Firstboot runs properly

Additional info:
Removing the smolt-firstboot package allows Firstboot to run properly.
Comment 1 Fedora Update System 2008-03-18 09:34:54 EDT
smolt-1.1.1.1-2.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-03-21 18:04:42 EDT
smolt-1.1.1.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smolt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2563
Comment 3 Fedora Update System 2008-03-22 18:09:42 EDT
smolt-1.1.1.1-3.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-26 13:11:31 EDT
smolt-1.1.1.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.